package com.bocloud.cmp.model.hmc.pcm;

public class SharedMemoryPool {
    private Long id;
    private String name;
    private Double totalMem;
    private Double assignedMemToLpars;
    private Double assignedMemToSysFirmware;
    private Double totalIOMem;
    private Double mappedIOMemToLpars;
    private Double pageFaults;
    private Double pageDelays;
    private Double dedupedMemInPool;
    private Double utilizedProcCyclesForDedup;

    public Double getPageFaults() {
        return pageFaults;
    }

    public void setPageFaults(Double pageFaults) {
        this.pageFaults = pageFaults;
    }

    public Double getPageDelays() {
        return pageDelays;
    }

    public void setPageDelays(Double pageDelays) {
        this.pageDelays = pageDelays;
    }

    public Double getDedupedMemInPool() {
        return dedupedMemInPool;
    }

    public void setDedupedMemInPool(Double dedupedMemInPool) {
        this.dedupedMemInPool = dedupedMemInPool;
    }

    public Double getUtilizedProcCyclesForDedup() {
        return utilizedProcCyclesForDedup;
    }

    public void setUtilizedProcCyclesForDedup(Double utilizedProcCyclesForDedup) {
        this.utilizedProcCyclesForDedup = utilizedProcCyclesForDedup;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Double getTotalMem() {
        return totalMem;
    }

    public void setTotalMem(Double totalMem) {
        this.totalMem = totalMem;
    }

    public Double getAssignedMemToLpars() {
        return assignedMemToLpars;
    }

    public void setAssignedMemToLpars(Double assignedMemToLpars) {
        this.assignedMemToLpars = assignedMemToLpars;
    }

    public Double getAssignedMemToSysFirmware() {
        return assignedMemToSysFirmware;
    }

    public void setAssignedMemToSysFirmware(Double assignedMemToSysFirmware) {
        this.assignedMemToSysFirmware = assignedMemToSysFirmware;
    }

    public Double getTotalIOMem() {
        return totalIOMem;
    }

    public void setTotalIOMem(Double totalIOMem) {
        this.totalIOMem = totalIOMem;
    }

    public Double getMappedIOMemToLpars() {
        return mappedIOMemToLpars;
    }

    public void setMappedIOMemToLpars(Double mappedIOMemToLpars) {
        this.mappedIOMemToLpars = mappedIOMemToLpars;
    }
}
